/*==============================================================*/
/* Table: SPEAR_CONFIGURATION_1_2 (complete configuration of SPEAR 1.2)
/* Can't put everything into the key :-(
/*==============================================================*/
create table SPEAR_CONFIGURATION_1_2
(
    ID                                  int unsigned not null AUTO_INCREMENT,
    PARAM_STRING                        char(255),
    sp_var_dec_heur                     enum('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20'),
    sp_learned_clause_sort_heur         enum('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20'),
    sp_orig_clause_sort_heur            enum('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20'),
    sp_res_order_heur                   enum('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20'),
    sp_clause_del_heur                  enum('0','1','2'),
    sp_phase_dec_heur                   enum('0','1','2','3','4','5','6'),
    sp_resolution                       enum('0','1','2'),
    sp_variable_decay                   DECIMAL(6,2),
    sp_clause_decay                     DECIMAL(6,2),
    sp_restart_inc                      DECIMAL(6,2),
    sp_learned_size_factor              DECIMAL(6,2),
    sp_learned_clauses_inc              DECIMAL(6,2),
    sp_clause_activity_inc              DECIMAL(6,2),
    sp_var_activity_inc                 DECIMAL(6,2),
    sp_rand_phase_dec_freq              DECIMAL(6,2),
    sp_rand_var_dec_freq                DECIMAL(6,2),
    sp_rand_var_dec_scaling             DECIMAL(6,2),
    sp_rand_phase_scaling               DECIMAL(6,2),
    sp_max_res_lit_inc                  DECIMAL(6,2),
    sp_first_restart                    int,
    sp_res_cutoff_cls                   int,
    sp_res_cutoff_lits                  int,
    sp_max_res_runs                     int,
    sp_update_dec_queue                 enum('0','1'),
    sp_use_pure_literal_rule            enum('0','1'),
    sp_clause_inversion                 enum('0','1'),
    primary key (ID),
	index configuration(sp_var_dec_heur, sp_learned_clause_sort_heur, sp_orig_clause_sort_heur, sp_res_order_heur, sp_clause_del_heur, sp_phase_dec_heur, sp_resolution, sp_variable_decay, sp_clause_decay, sp_restart_inc, sp_learned_size_factor, sp_learned_clauses_inc, sp_clause_activity_inc, sp_var_activity_inc, sp_rand_phase_dec_freq, sp_rand_var_dec_freq)
);
